my dog learned polymorphism
The moose likes General Computing and the fly likes java SDK will not install Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » General Computing
Bookmark "java SDK will not install" Watch "java SDK will not install" New topic

java SDK will not install

Randall Twede
Ranch Hand

Joined: Oct 21, 2000
Posts: 4351

I downloaded it twice. both times when I try to run it, it starts extracting, then I get an error message saying ERROR: could not find the required version of the java 2 runtime environment in '(null)'

I click the OK button and it extracts some more, then I get a message from windows saying it is not running and windows shuts it down.

any suggestions? I wouldn't think I need to get the runtime separately first, but maybe that's the case?

I suppose if all else fails I can try getting just the JDK instead

Visit my download page
Ulf Dittmer

Joined: Mar 22, 2005
Posts: 42959
While I don't know what causes those problems, isn't the JDK what you want to get anyway? You want to do development with it, no?
Campbell Ritchie

Joined: Oct 13, 2005
Posts: 45255
You doubtless already know how to install the JDK. You download the 7 update 45 JDK here, then you follow the installation instructions. You can find an example in our FAQ. Remember you need to set the PATH environment variable.
Randall Twede
Ranch Hand

Joined: Oct 21, 2000
Posts: 4351

I guess I wasn't completely clear. I downloaded Java EE 7 SDK with JDK 7 U40
I guess I will try getting and installing the runtime environment first then try installing again.
if that doesn't work I will get the JDK by itself without EE and try that.

I don't know why they have to write error messages in geekinese

I decided to get the JDK. hopefully it will install correctly. I probably won't need EE anyway.
the JDK works fine. apparently there is a problem with the EE + JDK download file.
I agree. Here's the link:
subject: java SDK will not install
It's not a secret anymore!